TAAS - Feature #227

LPO Waiting Report
07/09/2023 03:30 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/08/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: LPO Waiting Report

Description

Coding LPO Waiting Report

History

#1 - 08/08/2023 11:42 AM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

U lutions:-

1) GUI Changes
—Invoice Date to Issue Date
-Add Booking Staff/... filter like not reported sales
-Add Pax Profile/Pax Name~ filter like not reported sales
—Add Service Column after Issue Date
—-Add Provider Column before Sector - DEFAULT HIDE [Ticket=Airline, Hotel=Hotel NAme, ]
-Sector Column DEFAULT HIDE [Only ticket, other items empty]
2) SQL
SELECT spd.pk_supp_doc_no_id,
spd.sin_supp_doc_category,
spd.vhr_supp_doc_no,
spd.sin_sys_current_status,
spd.dat_issue,
spd.dat_sale,
spd.vhr_invoice_doc_no,
spd. fk_service_id,
COALESCE (spd.vhr_pax_name, pxp.vhr_pax_name, '') AS vhr_pax_name,
spd.sin_no_of_pax,
tkt.vhr_sector,
tkt.txt_remarks,
sfr.vhr_currency,
sfr.dbl_fare,
sfr.dbl_tax,
sfr.dbl_actual_cost,
sfr.dbl_supplier_amount,
sfr.dbl_customer_price,
sfr.dbl_actual_profit
FROM airticket.tbl_ticket tkt
LEFT JOIN service.tbl_supp_doc_no spd
ON tkt.fk_supp_doc_no_id = spd.pk_supp_doc_no_id
LEFT JOIN airticket.tbl_ticket_gen_data tkg
ON spd.pk_supp_doc_no_id = tkg.fk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare sfr
ON tkt.fk_ticket_cus_ledg_fare_id = sfr.pk_supp_doc_fare_id
LEFT JOIN pax.tbl_pax_profile pxp
ON spd.fk_pax_profile_id = pxp.pk_pax_profile_id
LEFT JOIN accounts.tbl_account ac
ON spd.fk_customer_ac_id = ac.pk_account_id
LEFT JOIN service.tbl_service srv
ON spd.fk_service_id = srv.pk_service_id

LEFT JOIN airticket.tbl_airline_master air

ON air.pk_airline_master_id = tkg.fk_airline_master_id

WHERE tkt.int_sys_action_id != -1

AND
AND
AND
AND
AND

spd.sin_lpo_required = 1

spd.vhr_lpo_number = "'

spd.sin_sys_current_status IN (1,2)

spd.dat_issue BETWEEN '2023-08-08' AND '2023-08-08'
(spd.vhr_pax_name ILIKE '*' OR pxp.vhr_pax_name ILIKE '*'")

UNION ALL
[Hotel]
UNION ALL
[TRANSFER]
UNION ALL
[VISA]
UNION ALL
[OTHER]

#2 - 08/08/2023 12:04 PM - Junaid M

- Assignee changed from travvise Admin to Amal Pious

#3 - 08/08/2023 01:05 PM - Amal Pious
- Status changed from Open to Coding Started
- Start date changed from 07/09/2023 to 08/08/2023

- % Done changed from 10 to 40

#4 - 08/22/2023 09:41 AM - Amal Pious

- Status changed from Coding Started to Coding Done

- % Done changed from 40 to 60

#5 - 08/22/2023 06:13 PM - unnikannan S

ISSUE FOUNDED

1.NOT SHOWING DATAS OF THE ACT US CLIENTS
2.SHOWING DATA WITHOUT ADDING MANDATORY FIELD STATUS,BRANCH ADD VALIDATION
3.RESPONSIBLE EMPLOYEE NOT ADDING IN FILTER

#6 - 08/22/2023 06:13 PM - unnikannan S

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

- Tested By set to unnikannan S

#7 - 08/22/2023 06:19 PM - unnikannan S
4.SHOW ALL ACCOUNTS (CA) WHILE CHOOSING RESPONSIBLE ACCOUNT

#8 - 08/23/2023 09:44 AM - Amal Pious
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 10/09/2023 06:00 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE ADDING ISSUING STAFF
2.ERROR WHILE CHOOSING NOT REQUIRED TAB
3.NO DATA FOR DIRECT CANCEL

4.LPO SAVING WITHOUT MANDATORY FIELD DATE
5.CHANGE PAX NAME INTO PAX~
6.ADD DATA OF ENQUIRY NO WHILE FILTERING IN PRINT

#10 - 10/10/2023 12:26 PM - Amal Pious
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

1.ERROR WHILE ADDING ISSUING STAFF - Error Fixed

2.ERROR WHILE CHOOSING NOT REQUIRED TAB - Error Fixed

3.LPO SAVING WITHOUT MANDATORY FIELD DATE - Added

4.CHANGE PAX NAME INTO PAX~ - Renamed

5.ADD DATA OF ENQUIRY NO WHILE FILTERING IN PRINT - Added in Print

#11 - 11/15/2023 03:11 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

#12 - 11/16/2023 11:21 AM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#13 - 11/21/2023 11:53 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S
TESTING DONE

#14 - 11/21/2023 11:54 AM - unnikannan S

ISSUE FOUNDED

1.NO DATA WHILE CHOOSING EDIT MODE OF VOUCHERS

#15 - 11/21/2023 03:04 PM - Junaid M

- Assignee changed from Amal Pious to Sibin Babu

#16 - 12/01/2023 06:11 PM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 12/20/2023 03:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DUPLICATION OF VOUCHERS WHILE CHOOSING CONSIDER OPTIONS
2.CHANGE NAME STATUS TO CONSIDER

#18 - 12/29/2023 06:21 PM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#19 - 12/30/2023 10:23 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED
Fxed 1.MISSING DATAS FROM UI

#20 - 01/01/2024 04:59 PM - Anonymous
- Assignee changed from Sibin Babu to Amal Siby

#21 - 01/08/2024 06:46 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#22 - 03/22/2024 02:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.SHOW DATA ON EXCLUDE MULTY SELECTION IN UI

#23 - 03/25/2024 10:34 AM - Junaid M

- Assignee changed from Amal Siby to Greeshma S

#24 - 03/25/2024 06:54 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 03/26/2024 10:40 AM - unnikannan S
TESTING DONE

#26 - 03/26/2024 10:41 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.ERROR WHILE SEARCH WITH DOC REVERSAL ON EXCLUDE MULTY SELECTION (42601: syntax error at or near ")"
#27 - 03/26/2024 12:10 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 03/26/2024 02:53 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADD VALIDATION FOR SET,NOT REQUIRED BUTTONS IN CASE OF NOT SELECTED ANY ITEMS

#29 - 03/26/2024 03:22 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 04/02/2024 12:00 PM - unnikannan S
TESTING DONE

#31 - 05/11/2024 05:33 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Data From Ticket Cancel

#32 - 05/25/2024 06:58 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#33 - 05/27/2024 11:57 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Data From Direct Ticket Cancel

#34 - 06/08/2024 06:18 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 06/10/2024 12:52 PM - unnikannan S
TESTING DONE

#36 - 09/24/2024 07:02 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#37 - 11/29/2024 04:08 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Not redirecting to sale document on clicking document no:

2. Data on the grid disappears after setting LPO no: for any selected item.

3. Not showing package issue, cancel or sold items.
4. Showing invoice date without having invoice for the vouchers.
5. Transfer vouchers are not showing.

#38 - 11/30/2024 06:27 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#39 - 12/10/2024 04:44 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#40 - 12/10/2024 05:07 PM - Arathy PS
- File clipboard-202412101707-vyes1.png added

ISSUE FOUND

1. Not redirecting to sale document and voucher no: on clicking them.

2. Change consider to status.
3. Duplicate is showing when selecting status as refund.
4. Package issue is also showing when selecting status as refund.
#41 - 12/13/2024 06:27 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#42 - 01/01/2025 12:28 PM - Arathy PS
- File clipboard-202501011128-gx90h.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Cost field is empty for ticket/vouchers from booking module.
#43 - 01/01/2025 05:54 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#44 - 01/14/2025 01:04 PM - Theja Ponon

Service Pax

Air Ticket Service | Kishar

Air Ticket Service | Kishor

Air Ticket Service | Kishor

Air Ticket Service | malini

- File clipboard-202501141223-flpdg.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)Xo data generate on giving the customer after updating the xo document by removing the customer name

2)On edit button click data is not load in xo document

3Redirection is not working on xo ticket/voucher number click

4)Issue date and Ipo date filteration is not working
ravvise LPO Waiting Report
#45 - 01/14/2025 06:57 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#46 - 01/15/2025 11:03 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)Issue date and Ipo date ,INVOICE DATE filteration is not working

#47 - 01/16/2025 09:36 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#48 - 01/20/2025 02:31 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
